## mafft 7.164

=== core/Makefile ===
PREFIX = /usr/local
LIBDIR = $(PREFIX)/libexec/mafft
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1

#MNO_CYGWIN = -mno-cygwin

ENABLE_MULTITHREAD = -Denablemultithread
# Comment out the above line if your compiler 
# does not support TLS (thread-local strage).

CC = gcc
CFLAGS = -O3
#CFLAGS = -O3 -fPIC
# add -fPIC when building .so files

#CC = icc
#CFLAGS = -fast
# if you have icc, use this.

#CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
#CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark, valgrind


MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)

ifdef ENABLE_MULTITHREAD
LIBS = -lm  -lpthread
else
LIBS = -lm
endif

INSTALL = install

PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
		pair2hat3s multi2hat3s pairash addsingle \
        splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version
SOS = libdisttbfast.so
DLLS = libdisttbfast.dll
DYLIBS = libdisttbfast.dylib

PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
SCRIPTS = mafft mafft-homologs.rb
OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
OBJREGTABLE2SEQ = mtxutl.o io.o regtable2seq.o defs.o mltaln9.o
OBJSEQ2REGTABLE = mtxutl.o io.o seq2regtable.o defs.o
OBJCOUNTLEN = mtxutl.o io.o countlen.o defs.o
OBJF2CL = mtxutl.o io.o f2cl.o constants.o defs.o
OBJMCCASKILLWRAP = mtxutl.o io.o mccaskillwrap.o constants.o defs.o mltaln9.o
OBJCONTRAFOLDWRAP = mtxutl.o io.o contrafoldwrap.o constants.o defs.o mltaln9.o
OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				 multi2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
				pair2hat3s.o defs.o fft.o fftFunctions.o
OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
			 pairash.o defs.o fft.o fftFunctions.o
OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
					pairlocalalign.o defs.o fft.o fftFunctions.o
OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o defs.o fft.o fftFunctions.o
OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			Lalign11.o makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
			addsingle.o defs.o fft.o fftFunctions.o addfunctions.o
OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  MSalignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
			tbfast2.o defs.o fft.o fftFunctions.o
OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			setcore.o defs.o fft.o fftFunctions.o
OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		   Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o addfunctions.o
OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
			getlag.o defs.o fft.o fftFunctions.o
OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDBLAST = dndblast.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST7 = dndfast7.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST4 = dndfast4.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJDNDFAST6 = dndfast6.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
OBJSEXTET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o sextet5.o defs.o
OBJDISTANCE = io.o constants.o mtxutl.o mltaln9.o tddis.o mafft-distance.o defs.o
OBJTRIPLET6 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet6.o defs.o
OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o \
          SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o

HEADER = mltaln.h mtxutl.h mafft.h
FFTHEADER = fft.h

MANPAGES = mafft.1 mafft-homologs.1




all : $(PERLPROGS) $(PROGS) $(SCRIPTS)
	cp $(SCRIPTS) ../scripts
	chmod 755 ../scripts/*
	cp $(PERLPROGS) $(PROGS) ../binaries
	chmod 755 ../binaries/*
	cp $(MANPAGES) ../binaries
	@echo done.

sos : $(SOS)
dylibs : $(DYLIBS)
dlls : $(DLLS)

univscript: univscript.tmpl Makefile
	sed "s:_PROGS:$(PROGS):" univscript.tmpl  > univscript

mafft: mafft.tmpl mltaln.h
	sed "s:_LIBDIR:$(LIBDIR):" mafft.tmpl  > mafft

mafft-homologs.rb: mafft-homologs.tmpl
#	cp mafft-homologs.tmpl mafft-homologs.rb
	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb

mltaln.h : functions.h
	touch mltaln.h

version : version.c mltaln.h
	$(CC) -o $@ version.c $(MYCFLAGS) $(LDFLAGS)

tbfast : $(OBJTBFAST)
	$(CC) -o $@ $(OBJTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

addsingle : $(OBJADDSINGLE)
	$(CC) -o $@ $(OBJADDSINGLE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

tbfast2 : $(OBJTBFAST2)
	$(CC) -o $@ $(OBJTBFAST2) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

disttbfast : $(OBJDISTTBFAST)
	$(CC) -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

libdisttbfast.so : $(OBJDISTTBFAST)
	$(CC) -shared -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

libdisttbfast.dylib : $(OBJDISTTBFAST)
	$(CC) -dynamiclib -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

libdisttbfast.dll : $(OBJDISTTBFAST)
	$(CC) -shared -o $@ $(OBJDISTTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

makedirectionlist : $(OBJMAKEDIRECTIONLIST)
	$(CC) -o $@ $(OBJMAKEDIRECTIONLIST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

splittbfast : $(OBJSPLITTBFAST)
	$(CC) -o $@ $(OBJSPLITTBFAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

splitfromaln : $(OBJSPLITFROMALN)
	$(CC) -o $@ $(OBJSPLITFROMALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

splittbfast2 : $(OBJSPLITTBFAST2)
	$(CC) -o $@ $(OBJSPLITTBFAST2) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dummy : $(OBJDUMMY)
	$(CC) -o $@ $(OBJDUMMY) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

setcore : $(OBJSETCORE)
	$(CC) -o $@ $(OBJSETCORE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

countlen : $(OBJCOUNTLEN)
	$(CC) -o $@ $(OBJCOUNTLEN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

seq2regtable : $(OBJSEQ2REGTABLE)
	$(CC) -o $@ $(OBJSEQ2REGTABLE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

regtable2seq : $(OBJREGTABLE2SEQ)
	$(CC) -o $@ $(OBJREGTABLE2SEQ) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

setdirection : $(OBJSETDIRECTION)
	$(CC) -o $@ $(OBJSETDIRECTION) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

replaceu : $(OBJREPLACEU)
	$(CC) -o $@ $(OBJREPLACEU) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

restoreu : $(OBJRESTOREU)
	$(CC) -o $@ $(OBJRESTOREU) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

f2cl : $(OBJF2CL)
	$(CC) -o $@ $(OBJF2CL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

mccaskillwrap : $(OBJMCCASKILLWRAP)
	$(CC) -o $@ $(OBJMCCASKILLWRAP) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

contrafoldwrap : $(OBJCONTRAFOLDWRAP)
	$(CC) -o $@ $(OBJCONTRAFOLDWRAP) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

pairlocalalign : $(OBJPAIRLOCALALIGN)
	$(CC) -o $@ $(OBJPAIRLOCALALIGN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

pairash : $(OBJPAIRASH)
	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

pair2hat3s : $(OBJPAIR2HAT3S)
	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

multi2hat3s : $(OBJMULTI2HAT3S)
	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

getlag : $(OBJGETLAG)
	$(CC) -o $@ $(OBJGETLAG) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

tditr : $(OBJTDITR)
	$(CC) -o $@ $(OBJTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dvtditr : $(OBJDVTDITR)
	$(CC) -o $@ $(OBJDVTDITR) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

mafft-profile : $(OBJGALN)
	$(CC) -o $@ $(OBJGALN) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

gapfill : $(OBJGAPFILL)
	$(CC) -o $@ $(OBJGAPFILL) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndfast4 : $(OBJDNDFAST4)
	$(CC) -o $@ $(OBJDNDFAST4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndfast5 : $(OBJDNDFAST5)
	$(CC) -o $@ $(OBJDNDFAST5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndfast6 : $(OBJDNDFAST6)
	$(CC) -o $@ $(OBJDNDFAST6) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndfast7 : $(OBJDNDFAST7)
	$(CC) -o $@ $(OBJDNDFAST7) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndblast : $(OBJDNDBLAST)
	$(CC) -o $@ $(OBJDNDBLAST) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndfast3 : $(OBJDNDFAST3)
	$(CC) -o $@ $(OBJDNDFAST3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

triplet : $(OBJTRIPLET)
	$(CC) -o $@ $(OBJTRIPLET) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

triplet3 : $(OBJTRIPLET3)
	$(CC) -o $@ $(OBJTRIPLET3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

sextet3 : $(OBJSEXTET3)
	$(CC) -o $@ $(OBJSEXTET3) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

sextet4 : $(OBJSEXTET4)
	$(CC) -o $@ $(OBJSEXTET4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

sextet5 : $(OBJSEXTET5)
	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

mafft-distance : $(OBJDISTANCE)
	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

triplet5 : $(OBJTRIPLET5)
	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

triplet6 : $(OBJTRIPLET6)
	$(CC) -o $@ $(OBJTRIPLET6) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

octet4 : $(OBJOCTET4)
	$(CC) -o $@ $(OBJOCTET4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

dndpre : $(OBJDNDPRE)
	$(CC) -o $@ $(OBJDNDPRE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)

score : $(OBJSCORE)

=== debian/changelog ===
mafft (7.164-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 04 Aug 2014 15:04:10 +0200

mafft (7.158-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 13 Jul 2014 20:26:22 +0900

mafft (7.157-1) unstable; urgency=medium

  * New upstream release. 
  * debian/control
    - Added substitution variable ${perl:Depends}, used by Debhelper.
    - Recommend libwww-perl used by the script ‘seekquencer_premafft.pl’.

 -- Charles Plessy <plessy@debian.org>  Wed, 18 Jun 2014 08:10:02 +0900

mafft (7.149-1) unstable; urgency=medium

  * New upstream release. 

 -- Charles Plessy <plessy@debian.org>  Sat, 12 Apr 2014 13:46:13 +0900

mafft (7.147-1) unstable; urgency=medium

  * New upstream release.

 -- Charles Plessy <plessy@debian.org>  Sun, 30 Mar 2014 19:40:37 +0900

mafft (7.130-1) unstable; urgency=low

  * New upstream release.
  * Correct ‘XS-Testsuite’ to ‘Testsuite’ in debian/control.

 -- Charles Plessy <plessy@debian.org>  Sun, 19 Jan 2014 08:25:50 +0900

=== debian/control ===
Source: mafft
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
Homepage: http://mafft.cbrc.jp/alignment/software/

Package: mafft
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: blast2,
            libwww-perl,
            lynx,
            ruby
Enhances: t-coffee
Description: Multiple alignment program for amino acid or nucleotide sequences
 MAFFT is a multiple sequence alignment program which offers three
 accuracy-oriented methods:
  * L-INS-i (probably most accurate; recommended for <200 sequences;
    iterative refinement method incorporating local pairwise alignment
    information),
  * G-INS-i (suitable for sequences of similar lengths; recommended for
    <200 sequences; iterative refinement method incorporating global
    pairwise alignment information),
  * E-INS-i (suitable for sequences containing large unalignable regions;
    recommended for <200 sequences),
 and five speed-oriented methods:
  * FFT-NS-i (iterative refinement method; two cycles only),
  * FFT-NS-i (iterative refinement method; max. 1000 iterations),
  * FFT-NS-2 (fast; progressive method),
  * FFT-NS-1 (very fast; recommended for >2000 sequences; progressive
    method with a rough guide tree),
  * NW-NS-PartTree-1 (recommended for ∼50,000 sequences; progressive
    method with the PartTree algorithm).

## mafft 7.205

=== core/Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 LIBDIR = $(PREFIX)/libexec/mafft
 BINDIR = $(PREFIX)/bin
 MANDIR = $(PREFIX)/share/man/man1
+DESTDIR = 
 
 #MNO_CYGWIN = -mno-cygwin
 
@@ -19,6 +20,7 @@
 # if you have icc, use this.
 
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
+#CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3  -fprofile-arcs -ftest-coverage 
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark, valgrind
 
 
@@ -41,7 +43,7 @@
 DYLIBS = libdisttbfast.dylib
 
 PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
-SCRIPTS = mafft mafft-homologs.rb
+SCRIPTS = mafft mafft-homologs.rb mafft-randomcore.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -150,6 +152,10 @@
 #	cp mafft-homologs.tmpl mafft-homologs.rb
 	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb
 
+mafft-randomcore.rb: mafft-randomcore.tmpl
+#	cp mafft-randomcore.tmpl mafft-randomcore.rb
+	sed "s:_BINDIR:$(BINDIR):" mafft-randomcore.tmpl  > mafft-randomcore.rb
+
 mltaln.h : functions.h
 	touch mltaln.h
 
@@ -286,15 +292,3 @@
 	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet5 : $(OBJTRIPLET5)
-	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-triplet6 : $(OBJTRIPLET6)
-	$(CC) -o $@ $(OBJTRIPLET6) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-octet4 : $(OBJOCTET4)
-	$(CC) -o $@ $(OBJOCTET4) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-dndpre : $(OBJDNDPRE)
-	$(CC) -o $@ $(OBJDNDPRE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-score : $(OBJSCORE)

=== debian/changelog ===
mafft (7.205-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 23 Oct 2014 22:28:10 +0200

mafft (7.187-1) unstable; urgency=medium

  * New upstream release.
  * Conforms to Policy 3.9.6.

 -- Charles Plessy <plessy@debian.org>  Sun, 05 Oct 2014 09:00:33 +0900

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Build rules for the Debian package mafft.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C core \
	  PREFIX=/usr/lib/mafft \
	  ENABLE_MULTITHREAD=-Denablemultithread \
	  LIBDIR=/usr/lib/mafft/lib/mafft \
	  CFLAGS="$(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)" \
	  LDFLAGS="$(shell dpkg-buildflags --get LDFLAGS)"

override_dh_clean:
	[ ! -f core/Makefile ] || $(MAKE) -C core clean
	rm -rf binaries/* scripts/*
	dh_clean

MAFFT = MAFFT_BINARIES=$(CURDIR)/binaries scripts/mafft

override_dh_install:
	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
	rm $(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft/*.1

override_dh_compress:
	dh_compress -X test/sample

## mafft 7.245

=== core/Makefile ===
--- 
+++ 
@@ -43,7 +43,7 @@
 DYLIBS = libdisttbfast.dylib
 
 PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
-SCRIPTS = mafft mafft-homologs.rb mafft-randomcore.rb
+SCRIPTS = mafft mafft-homologs.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -152,9 +152,9 @@
 #	cp mafft-homologs.tmpl mafft-homologs.rb
 	sed "s:_BINDIR:$(BINDIR):" mafft-homologs.tmpl  > mafft-homologs.rb
 
-mafft-randomcore.rb: mafft-randomcore.tmpl
-#	cp mafft-randomcore.tmpl mafft-randomcore.rb
-	sed "s:_BINDIR:$(BINDIR):" mafft-randomcore.tmpl  > mafft-randomcore.rb
+mafft-sparsecore.rb: mafft-sparsecore.tmpl
+#	cp mafft-sparsecore.tmpl mafft-sparsecore.rb
+	sed "s:_BINDIR:$(BINDIR):" mafft-sparsecore.tmpl  > mafft-sparsecore.rb
 
 mltaln.h : functions.h
 	touch mltaln.h
@@ -292,3 +292,5 @@
 	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
 triplet5 : $(OBJTRIPLET5)
+	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
+

=== debian/changelog ===
mafft (7.245-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 27 Jul 2015 21:06:58 +0200

mafft (7.221-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 29 May 2015 16:24:10 +0200

mafft (7.215-1) experimental; urgency=medium

  * Upload to experimental

 -- Andreas Tille <tille@debian.org>  Sat, 28 Feb 2015 23:42:02 +0100

mafft (7.215-0biolinux1) trusty; urgency=medium

  * New upstream.
  * Add convoluted cleanup of zero-byte file
  * Add mafft-profile to /usr/bin.

 -- Tim Booth <tbooth@ceh.ac.uk>  Thu, 26 Feb 2015 12:00:41 +0000

## mafft 7.266

=== debian/changelog ===
mafft (7.266-1) unstable; urgency=medium

  * New upstream version
  * Fix bashism
    Closes: #772305

 -- Andreas Tille <tille@debian.org>  Sat, 05 Dec 2015 23:44:00 +0100

## mafft 7.270

=== debian/changelog ===
mafft (7.270-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 30 Dec 2015 19:52:50 +0100

## mafft 7.271

=== core/Makefile ===
--- 
+++ 
@@ -57,53 +57,53 @@
 				 multi2hat3s.o defs.o fft.o fftFunctions.o
 OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
 				pair2hat3s.o defs.o fft.o fftFunctions.o
-OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
 			 pairash.o defs.o fft.o fftFunctions.o
-OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
 					pairlocalalign.o defs.o fft.o fftFunctions.o
-OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
-OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJSPLITFROMALN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
-OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
-OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
-OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJSPLITTBFASTP = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o defs.o fft.o fftFunctions.o
-OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJDISTTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast.o defs.o fft.o fftFunctions.o addfunctions.o
-OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJMAKEDIRECTIONLIST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
-OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
-OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			addsingle.o defs.o fft.o fftFunctions.o addfunctions.o
-OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  MSalignmm.o \
+OBJTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  MSalignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			tbfast2.o defs.o fft.o fftFunctions.o
-OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJSETCORE = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			setcore.o defs.o fft.o fftFunctions.o
-OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o  \
 		   Falign.o Falign_localhom.o Galign11.o fftFunctions.o fft.o  \
 		   tditeration.o tditr.o defs.o SAalignmm.o treeOperation.o
-OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
+OBJDVTDITR = mtxutl.o io.o mltaln9.o tddis.o constants.o nj.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 			Falign.o Falign_localhom.o Galign11.o MSalignmm.o fftFunctions.o fft.o  \
 			tditeration.o dvtditr.o defs.o SAalignmm.o treeOperation.o addfunctions.o
 OBJGETLAG = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  \
-		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
+		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o Dalignmm.o \
 			getlag.o defs.o fft.o fftFunctions.o
 OBJGAPFILL = mtxutl.o io.o constants.o gapfill.o defs.o
 OBJDNDFAST5 = dndfast5.o io.o constants.o mtxutl.o mltaln9.o tddis.o defs.o
@@ -118,7 +118,7 @@
 OBJTRIPLET5 = io.o constants.o mtxutl.o mltaln9.o tddis.o triplet5.o defs.o
 OBJOCTET4 = io.o constants.o mtxutl.o mltaln9.o tddis.o octet4.o defs.o
 OBJDNDPRE = dndpre.o io.o constants.o mtxutl.o mltaln9.o defs.o
-OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o \
+OBJGALN = io.o mtxutl.o mltaln9.o tddis.o constants.o partSalignmm.o MSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
           SAalignmm.o Galign11.o Falign.o Falign_localhom.o fftFunctions.o fft.o mafft-profile.o defs.o
 OBJSCORE = io.o mtxutl.o mltaln9.o score.o constants.o defs.o
 
@@ -288,9 +288,3 @@
 sextet5 : $(OBJSEXTET5)
 	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
-mafft-distance : $(OBJDISTANCE)
-	$(CC) -o $@ $(OBJDISTANCE) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
-triplet5 : $(OBJTRIPLET5)
-	$(CC) -o $@ $(OBJTRIPLET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-

=== debian/changelog ===
mafft (7.271-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 27 Jan 2016 19:44:13 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/

=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,12 @@
 
 override_dh_install:
 	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
-	rm $(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft/*.1
+	rm debian/mafft/usr/lib/mafft/lib/mafft/*.1
+	# Remove zero-sized file but if it's not zero-sized that's an error.
+	# If the file doesn't exist that's OK.
+	! cd debian/mafft/usr/lib/mafft/bin/ || \
+	    ! test -s mafft-sparsecore.rb && \
+	    rm -f mafft-sparsecore.rb
 
 override_dh_compress:
 	dh_compress -X test/sample

=== debian/watch ===
version=3
http://mafft.cbrc.jp/alignment/software/source.html mafft-(.*)-without-extensions-src.tgz

## mafft 7.294

=== core/Makefile ===
--- 
+++ 
@@ -22,6 +22,7 @@
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -pg -DMALLOC_CHECK_=3  -fprofile-arcs -ftest-coverage 
 #CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 # for shark, valgrind
+#CFLAGS =  -O0  -fPIC -pedantic -Wall -std=c99 -g -DMALLOC_CHECK_=3 -lprofiler  # ?
 
 
 MYCFLAGS = $(MNO_CYGWIN) $(ENABLE_MULTITHREAD) $(CFLAGS)
@@ -35,7 +36,7 @@
 INSTALL = install
 
 PROGS = dvtditr dndfast7 dndblast sextet5 mafft-distance pairlocalalign \
-		pair2hat3s multi2hat3s pairash addsingle \
+		multi2hat3s pairash addsingle \
         splittbfast disttbfast tbfast mafft-profile f2cl mccaskillwrap contrafoldwrap countlen \
 		seq2regtable regtable2seq score getlag dndpre setcore replaceu restoreu setdirection makedirectionlist version
 SOS = libdisttbfast.so
@@ -43,7 +44,7 @@
 DYLIBS = libdisttbfast.dylib
 
 PERLPROGS = mafftash_premafft.pl seekquencer_premafft.pl
-SCRIPTS = mafft mafft-homologs.rb
+SCRIPTS = mafft mafft-homologs.rb mafft-sparsecore.rb
 OBJSETDIRECTION = mtxutl.o io.o setdirection.o defs.o mltaln9.o
 OBJREPLACEU = mtxutl.o io.o replaceu.o defs.o mltaln9.o
 OBJRESTOREU = mtxutl.o io.o restoreu.o defs.o mltaln9.o
@@ -55,14 +56,12 @@
 OBJCONTRAFOLDWRAP = mtxutl.o io.o contrafoldwrap.o constants.o defs.o mltaln9.o
 OBJMULTI2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
 				 multi2hat3s.o defs.o fft.o fftFunctions.o
-OBJPAIR2HAT3S = mtxutl.o io.o mltaln9.o tddis.o constants.o \
-				pair2hat3s.o defs.o fft.o fftFunctions.o
 OBJPAIRASH = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 			 Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
 			 pairash.o defs.o fft.o fftFunctions.o
 OBJPAIRLOCALALIGN = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		            Falign.o MSalignmm.o Galign11.o MSalign11.o suboptalign11.o genalign11.o Lalign11.o SAalignmm.o \
-					pairlocalalign.o defs.o fft.o fftFunctions.o
+					pairlocalalignmain.o pairlocalalign.o defs.o fft.o fftFunctions.o
 OBJDUMMY = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			disttbfast_dummy.o dummy.o defs.o fft.o fftFunctions.o
@@ -71,7 +70,7 @@
 			Lalign11.o splitfromaln.o defs.o fft.o fftFunctions.o
 OBJSPLITTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
-			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o
+			Lalign11.o splittbfast.o defs.o fft.o fftFunctions.o 
 OBJSPLITTBFAST2 = mtxutl.o io.o mltaln9.o tddis.o constants.o partSalignmm.o Lalignmm.o rna.o Salignmm.o  Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o MSalignmm.o \
 			Lalign11.o splittbfast2.o defs.o fft.o fftFunctions.o
@@ -86,7 +85,8 @@
 			Lalign11.o makedirectionlist.o defs.o fft.o fftFunctions.o addfunctions.o
 OBJTBFAST = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
-			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o
+			tbfast.o defs.o fft.o fftFunctions.o addfunctions.o \
+			pairlocalalign.o genalign11.o MSalign11.o Lalign11.o 
 OBJADDSINGLE = mtxutl.o io.o mltaln9.o tddis.o constants.o MSalignmm.o partSalignmm.o Lalignmm.o rna.o Salignmm.o Dalignmm.o \
 		    Falign.o Falign_localhom.o Galign11.o SAalignmm.o \
 			addsingle.o defs.o fft.o fftFunctions.o addfunctions.o
@@ -234,9 +234,6 @@
 pairash : $(OBJPAIRASH)
 	$(CC) -o $@ $(OBJPAIRASH) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
-pair2hat3s : $(OBJPAIR2HAT3S)
-	$(CC) -o $@ $(OBJPAIR2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
-
 multi2hat3s : $(OBJMULTI2HAT3S)
 	$(CC) -o $@ $(OBJMULTI2HAT3S) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
@@ -288,3 +285,4 @@
 sextet5 : $(OBJSEXTET5)
 	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
+mafft-distance : $(OBJDISTANCE)

=== debian/changelog ===
mafft (7.294-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * /usr/bin/mafft-sparsecore.rb is non-zero - remove the test in debian/rules
  * Better hardening

 -- Andreas Tille <tille@debian.org>  Wed, 18 May 2016 17:59:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Uploaders: Charles Plessy <plessy@debian.org>,
            Andreas Tille <tille@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
 Homepage: http://mafft.cbrc.jp/alignment/software/

## mafft 7.305

=== debian/changelog ===
mafft (7.305-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 16 Aug 2016 14:45:35 +0200

## mafft 7.307

=== debian/changelog ===
mafft (7.307-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * update d/copyright
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Mon, 09 Jan 2017 15:58:36 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9)
+Build-Depends: debhelper (>= 10)
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
 Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/

=== debian/watch ===
version=4
http://mafft.cbrc.jp/alignment/software/source.html mafft-(.*)-without-extensions-src.tgz

## mafft 7.310

=== core/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # does not support TLS (thread-local strage).
 
 CC = gcc
-CFLAGS = -O3
+CFLAGS = -O3 -std=c99
 #CFLAGS = -O3 -fPIC
 # add -fPIC when building .so files
 
@@ -285,4 +285,3 @@
 sextet5 : $(OBJSEXTET5)
 	$(CC) -o $@ $(OBJSEXTET5) $(MYCFLAGS) $(LDFLAGS) $(LIBS)
 
-mafft-distance : $(OBJDISTANCE)

=== debian/changelog ===
mafft (7.310-1) unstable; urgency=medium

  * New upstream version
  * Move packaging from SVN to Git
  * Standards-Version: 4.1.0 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2017 14:38:51 +0200

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 10)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/viewvc/debian-med/trunk/packages/mafft/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/mafft/trunk/
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mafft.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/mafft.git
 Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
@@ -26,11 +28,6 @@
 override_dh_install:
 	$(MAKE) -C core PREFIX=$(CURDIR)/debian/mafft/usr/lib/mafft MANDIR=$(CURDIR)/debian/mafft/usr/share/man/man1 LIBDIR=$(CURDIR)/debian/mafft/usr/lib/mafft/lib/mafft install
 	rm debian/mafft/usr/lib/mafft/lib/mafft/*.1
-	# Remove zero-sized file but if it's not zero-sized that's an error.
-	# If the file doesn't exist that's OK.
-	! cd debian/mafft/usr/lib/mafft/bin/ || \
-	    ! test -s mafft-sparsecore.rb && \
-	    rm -f mafft-sparsecore.rb
 
 override_dh_compress:
 	dh_compress -X test/sample

## mafft 7.397

=== debian/changelog ===
mafft (7.397-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * debhelper 11
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 26 Apr 2018 22:18:47 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/mafft.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/mafft.git
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/med-team/mafft
+Vcs-Git: https://salsa.debian.org/med-team/mafft.git
 Homepage: http://mafft.cbrc.jp/alignment/software/
 
 Package: mafft

## mafft 7.402

=== debian/changelog ===
mafft (7.402-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Mon, 28 May 2018 16:17:10 +0200
